
Redmine - Defect #41482

Update version redmine 5.0.0 to 5.1.3

2024-10-15 04:54 - Felipe Dallas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.3

Description

Hello,

When loading the database of my Redmine 5.0.0 database into a scratch installation of Redmine 5.1.3, I get the following error when

I open an issue:

I, [2024-10-15T02:29:47.855523 #1721]  INFO -- : [3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]   Rendered layout

layouts/base.html.erb (Duration: 30.8ms | Allocations: 9420)

I, [2024-10-15T02:29:47.855865 #1721]  INFO -- : [3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] Completed 500 Internal Server Error

in 102ms (ActiveRecord: 29.9ms | Allocations: 25487)

F, [2024-10-15T02:29:47.857543 #1721] FATAL -- : [3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] ActionView::Template::Error (undefined method `updated_on' for #<Journal id: 105091,

journalized_id: 22366, journalized_type: "Issue", user_id: 134, notes: "", created_on: "2024-02-27 09:58:44.000000000 +0000",

private_notes: false>):

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]     15:       <%= avatar(journal.user) %>

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]     16:       <%= authoring journal.created_on, journal.user, :label =>

:label_updated_time_by %>

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]     17:       <%= render_private_notes_indicator(journal) %>

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]     18:       <%= render_journal_update_info(journal) %>

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]     19:     </h4>

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]     20:

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]     21:     <% if journal.details.any? %>

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b]

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/helpers/journals_helper.rb:83:in `render_journal_update_info'

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/views/issues/tabs/_history.html.erb:18

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/views/issues/tabs/_history.html.erb:7:in `each'

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/views/issues/tabs/_history.html.erb:7

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/views/common/_tabs.html.erb:21

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/views/common/_tabs.html.erb:20:in `each'

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/views/common/_tabs.html.erb:20

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/helpers/application_helper.rb:499:in `render_tabs'

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/views/issues/show.html.erb:126

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/controllers/issues_controller.rb:118:in `block (2 levels) in show'

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] app/controllers/issues_controller.rb:110:in `show'

[3a6ad742-9626-4a71-b3cb-5e5f5dd4f93b] lib/redmine/sudo_mode.rb:61:in `sudo_mode’

History

#1 - 2024-10-22 20:18 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

When updating your Redmine version, you need to run database migrations. See Step 4 of RedmineUpgrade.
